Gecode::Driver::StringValueOption Class Reference

String-valued option. More...

`#include <driver.hh>`

## Public Member Functions

| StringValueOption (const char *o, const char *e, const char *v=NULL)
| Initialize for option o and explanation e and default value v.
void | value (const char *v)
| Set default value to v.
const char * | value (void) const
| Return current option value.
virtual int | parse (int argc, char *argv[])
| Parse option at first position and return number of parsed arguments.
virtual void | help (void)
| Print help text.
virtual | ~StringValueOption (void)
| Destructor.
Public Member Functions inherited from Gecode::Driver::BaseOption
| BaseOption (const char *o, const char *e)
| Initialize for option o and explanation e.
virtual | ~BaseOption (void)
| Destructor.

## Protected Attributes

const char * | cur
| Current value.
Protected Attributes inherited from Gecode::Driver::BaseOption
const char * | eopt
| String for option (excluding hyphen).
const char * | iopt
| String for option (including hyphen).
const char * | exp
| Short explanation.
BaseOption * | next
| Next option Check for option and return its argument.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::Driver::BaseOption
static char * | strdup (const char *s)
| Create heap-allocated copy of string s.
static char * | stredup (const char *s)
| Create heap-allocated copy of string s with hyphen added.
static void | strdel (const char *s)
| Delete heap-allocated copy of string s.
Protected Member Functions inherited from Gecode::Driver::BaseOption
char * | argument (int argc, char *argv[]) const

## Detailed Description

String-valued option.

Definition at line 151 of file driver.hh.

## Constructor & Destructor Documentation

## StringValueOption()

Gecode::Driver::StringValueOption::StringValueOption | ( | const char * | o,
|  | const char * | e,
|  | const char * | v = NULL )

Initialize for option o and explanation e and default value v.

Definition at line 109 of file options.cpp.

## ~StringValueOption()

Gecode::Driver::StringValueOption::~StringValueOption | ( | void |  | ) |

virtual

Destructor.

Definition at line 131 of file options.cpp.

## Member Function Documentation

## value() [1/2]

void Gecode::Driver::StringValueOption::value | ( | const char * | v | ) |

Set default value to v.

Definition at line 113 of file options.cpp.

## value() [2/2]

const char * Gecode::Driver::StringValueOption::value | ( | void |  | ) | const

inline

Return current option value.

Definition at line 46 of file options.hpp.

## parse()

int Gecode::Driver::StringValueOption::parse | ( | int | argc,
|  | char * | argv[] )

virtual

Parse option at first position and return number of parsed arguments.

Implements Gecode::Driver::BaseOption.

Definition at line 118 of file options.cpp.

## help()

void Gecode::Driver::StringValueOption::help | ( | void |  | ) |

virtual

Print help text.

Implements Gecode::Driver::BaseOption.

Definition at line 126 of file options.cpp.

## Member Data Documentation

## cur

const char* Gecode::Driver::StringValueOption::cur

protected

Current value.

Definition at line 153 of file driver.hh.

The documentation for this class was generated from the following files:

- gecode/driver.hh
- gecode/driver/options.cpp
- gecode/driver/options.hpp